PHP 7.0 Compatibility Issues

Description

There remain significant php 7 compatibility issues that require attention in 2.5.5 development branch.

This is the master umbrella issue for all PHP 7 compatibility issues. When reporting new issues related to this, please be sure to link them in the "Linked Issues" section on the report page.

Add new issues separately and link them back to this issue.

Environment

None

Steps to reproduce

None

Assignee

Michael Sasek

Reporter

Michael Sasek

Severity

Major

Affects versions

Priority

High
Configure